# Generated from rswag-2.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rswag

Name: rubygem-%{gem_name}
Version: 2.4.0
Release: 1%{?dist}
Summary: OpenAPI (formerly named Swagger) tooling for Rails APIs
License: MIT
URL: https://github.com/rswag/rswag
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Generate beautiful API documentation, including a UI to explore and test
operations, directly from your rspec integration tests. OpenAPI 2 and 3
supported. More about the OpenAPI initiative here: http://spec.openapis.org/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 2.4.0-1
- Initial package
